Bug 791233 - Review Request: ovirt-engine-cli - Command line interface for oVirt platform
Review Request: ovirt-engine-cli - Command line interface for oVirt platform
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 10:08 EST by Ofer Schreiber
Modified: 2015-03-10 13:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 04:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ofer Schreiber 2012-02-16 10:08:46 EST
Spec URL: http://oschreib.fedorapeople.org/ovirt-engine-cli/ovirt-engine-cli.spec
SRPM URL: http://oschreib.fedorapeople.org/ovirt-engine-cli/ovirt-engine-cli-2.0-1.fc16.src.rpm
Description: Command line interface for oVirt engine. based on the ovirt-engine-sdk python bindings.

--
small note: 
 * Upstream doesn't have any man pages yet.
Comment 1 Matthias Runge 2012-02-22 06:33:07 EST
I'll take this
Comment 2 Matthias Runge 2012-02-22 14:48:33 EST
Sadly, I can't do it today. If anyone would jump in, he/she is greatly welcome!
Comment 3 Matthias Runge 2012-02-23 15:19:44 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint ovirt-engine-cli-2.0-1.fc18.noarch.rpm

ovirt-engine-cli.noarch: W: summary-not-capitalized C oVirt Engine Command Line Interface
ovirt-engine-cli.noarch: W: no-manual-page-for-binary ovirt-shell
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint ovirt-engine-cli-2.0-1.fc18.src.rpm

ovirt-engine-cli.src: W: summary-not-capitalized C oVirt Engine Command Line Interface
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/791233/ovirt-engine-cli-2.0.tar.gz :
  MD5SUM this package     : 68ec19c43bf2155104ba535e3d84ebee
  MD5SUM upstream package : 68ec19c43bf2155104ba535e3d84ebee

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Rpmlint output is silent.

rpmlint ovirt-engine-cli-2.0-1.fc18.noarch.rpm

ovirt-engine-cli.noarch: W: summary-not-capitalized C oVirt Engine Command Line Interface
ovirt-engine-cli.noarch: W: no-manual-page-for-binary ovirt-shell
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint ovirt-engine-cli-2.0-1.fc18.src.rpm

ovirt-engine-cli.src: W: summary-not-capitalized C oVirt Engine Command Line Interface
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Just one note:
- Are you going to use this for epel5, too? If not, please remove defattr from files-section.

Package APPROVED
Comment 4 Ofer Schreiber 2012-02-26 10:14:49 EST
New Package SCM Request
=======================
Package Name: ovirt-engine-cli
Short Description: Command line interface for oVirt platform
Owners: oschreib
Branches: f17 el6
InitialCC: mpastern
Comment 5 Jon Ciesla 2012-02-27 08:32:59 EST
Git done (by process-git-requests).
Comment 6 Matthias Runge 2012-07-09 04:02:16 EDT
Since it's already imported, I'll close this review.
Comment 7 Juan Hernández 2012-08-24 14:14:58 EDT
Package Change Request
======================
Package Name: ovirt-engine-cli
Owners: oschreib jhernand

We need to update these package in order to fix bug 851674 and CVE-2012-3533, but my colleage Ofer Schreiber will not be available for the next few weeks, so he can't grant me commit permissions via the package database pages. Can you grant me those permissions somehow?
Comment 8 Jon Ciesla 2012-08-24 15:14:37 EDT
No new branches requested.
Comment 9 Juan Hernández 2015-01-21 08:11:01 EST
Package Change Request
======================
Package Name: ovirt-engine-cli
New Branches: epel7
Owners: oschreib jhernand
Comment 10 Jon Ciesla 2015-03-10 13:19:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.